---
title: Retrieve account event logs
slug: reference/retrieve-account-event-logs
docTags: 
createdAt: 2025-08-13T21:16:12.609Z
---

{
  "id": "aaVtzyo2O0UNpVCgtcipL",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://app.amberflo.io/account-event",
    "servers": [
      {
        "url": "https://app.amberflo.io/account-event"
      }
    ],
    "name": "Retrieve account event logs",
    "description": "<p>Retrieves account event logs with filtering and pagination support.\nUse this endpoint to monitor system activities, troubleshoot integration issues,\nand audit notification and webhook delivery attempts.</p>\n<p>The logs include events from:</p>\n<ul>\n<li><a>Notification alerts</a> and delivery attempts</li>\n<li><a>Webhook subscriptions</a> and delivery attempts</li>\n<li>Background jobs and system processes</li>\n</ul>\n<p>Events support filtering by time range, customer, severity level, domain, and event type.\nResults are paginated using cursor-based pagination with the <code>after</code> parameter.</p>\n<p><strong>Important Note:</strong> Events are retained for 90 days. Use <code>isAscending=false</code> (default)\nto get most recent events first.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer",
          "description": "<p>How many items to fetch, between 10 and 500. Defaults to 50.</p>"
        },
        {
          "kind": "optional",
          "name": "after",
          "type": "string",
          "description": "<p>Value of <code>metadata.after</code> from the previous response in order to get the next page of items.</p>"
        },
        {
          "kind": "optional",
          "name": "isAscending",
          "type": "boolean",
          "description": "<p>Whether to sort in ascending or descending order, according to the <code>eventTime</code>. Defaults to false.</p>"
        },
        {
          "kind": "optional",
          "name": "startTimeInMillis",
          "type": "integer",
          "description": "<p>Filter for events that happened after (inclusive) this time. In milliseconds since <a href=\"https://en.wikipedia.org/wiki/Unix_time\" target=\"_blank\">UNIX epoch</a>.</p>"
        },
        {
          "kind": "optional",
          "name": "endTimeInMillis",
          "type": "integer",
          "description": "<p>Filter for events that happened before (inclusive) this time. In milliseconds since <a href=\"https://en.wikipedia.org/wiki/Unix_time\" target=\"_blank\">UNIX epoch</a>.</p>"
        },
        {
          "kind": "optional",
          "name": "customerId",
          "type": "string",
          "description": "Filter for events related to this customer."
        },
        {
          "kind": "optional",
          "name": "level",
          "type": "string",
          "description": "Filter for events at this level of severity."
        },
        {
          "kind": "optional",
          "name": "domain",
          "type": "string",
          "description": "Filter for events pertaining to this domain."
        },
        {
          "kind": "optional",
          "name": "eventType",
          "type": "string",
          "description": "Filter for events of this type."
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "api_key",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "List of account events with pagination metadata and filtering results",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Paginated response containing account events and pagination metadata.",
            "customType": "account-event-list-response",
            "schema": [
              {
                "name": "metadata",
                "kind": "optional",
                "type": "object",
                "description": "Pagination information for retrieving additional pages of events.",
                "example": "",
                "schema": [
                  {
                    "name": "after",
                    "kind": "optional",
                    "type": "string",
                    "description": "Cursor value for retrieving the next page of events in pagination.",
                    "example": ""
                  }
                ]
              },
              {
                "name": "items",
                "kind": "optional",
                "type": "array",
                "description": "Array of account events matching the specified filter criteria.",
                "modelRef": "#/components/schemas/account-event",
                "customType": "account-event[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "string",
                    "description": "Unique identifier for the account event. Format is UUID v4.",
                    "example": ""
                  },
                  {
                    "name": "customerId",
                    "kind": "optional",
                    "type": "string",
                    "description": "Customer identifier associated with the event, if applicable to specific customer.",
                    "example": ""
                  },
                  {
                    "name": "level",
                    "kind": "optional",
                    "type": "string<INFO | WARN | ERROR>",
                    "description": "Event severity level indicating importance. Values are INFO, WARN, ERROR.",
                    "example": ""
                  },
                  {
                    "name": "domain",
                    "kind": "optional",
                    "type": "string",
                    "description": "Event domain category such as webhooks, notifications, or billing operations.",
                    "example": ""
                  },
                  {
                    "name": "eventType",
                    "kind": "optional",
                    "type": "string",
                    "description": "Specific event type identifier within the domain for detailed categorization.",
                    "example": ""
                  },
                  {
                    "name": "eventTime",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "ISO-8601 timestamp when the event occurred. Example 2025-09-27T12:34:56Z.",
                    "example": ""
                  },
                  {
                    "name": "details",
                    "kind": "optional",
                    "type": "object",
                    "description": "Additional event-specific data and context information, varies by event type.",
                    "example": "",
                    "schema": []
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/account-event-list-response",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Invalid query parameters or filter values",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "Missing or invalid API key authentication",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Insufficient permissions to access this resource",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "Internal server error occurred while processing request",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "-MsVcrsbPj5NRrmsBNkwv",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://app.amberflo.io/account-event \\\n     --header 'accept: application/json'"
        },
        {
          "id": "rNpsEGL8yN9zS3JShnhXY",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/account-event\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "20kPOo1Fu4ChggdoBeoKL",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/account-event\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "dc0MOteqHKcjPCUU5QljF",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/account-event\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "-MsVcrsbPj5NRrmsBNkwv"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// List of account events with pagination metadata and filtering results\n{\n  \"metadata\": {\n    \"after\": \"\"\n  },\n  \"items\": [\n    {\n      \"id\": \"\",\n      \"customerId\": \"\",\n      \"level\": \"\",\n      \"domain\": \"\",\n      \"eventType\": \"\",\n      \"eventTime\": \"\",\n      \"details\": {}\n    }\n  ]\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Invalid query parameters or filter values\n"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Missing or invalid API key authentication\n"
        },
        {
          "id": "response-3-403",
          "language": "403",
          "code": "// Insufficient permissions to access this resource\n"
        },
        {
          "id": "response-4-500",
          "language": "500",
          "code": "// Internal server error occurred while processing request\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": "",
      "id": "IxUNeXaPpohN838tQw5YL"
    }
  ]
}